package ink.wgink.pojo.dtos.permission;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @ClassName: PermissionDTO
 * @Description: 权限
 * @Author: WenG
 * @Date: 2020-05-27 15:58
 * @Version: 1.0
 **/
@ApiModel
public class PermissionDTO implements Serializable {

    private static final long serialVersionUID = 8480319618037598206L;
    @ApiModelProperty(name = "permissionId", value = "主键")
    private String permissionId;
    @ApiModelProperty(name = "permissionTitle", value = "权限名称")
    private String permissionTitle;
    @ApiModelProperty(name = "permissionType", value = "权限类型")
    private String permissionType;
    @ApiModelProperty(name = "permissionUrl", value = "权限路径")
    private String permissionUrl;
    @ApiModelProperty(name = "apiTag", value = "api标识")
    private String apiTag;
    @ApiModelProperty(name = "systemTag", value = "系统标识")
    private String systemTag;
    @ApiModelProperty(name = "isPublic", value = "是否公共")
    private Integer isPublic;

    public String getPermissionId() {
        return permissionId == null ? "" : permissionId.trim();
    }

    public void setPermissionId(String permissionId) {
        this.permissionId = permissionId;
    }

    public String getPermissionTitle() {
        return permissionTitle == null ? "" : permissionTitle.trim();
    }

    public void setPermissionTitle(String permissionTitle) {
        this.permissionTitle = permissionTitle;
    }

    public String getPermissionType() {
        return permissionType == null ? "" : permissionType.trim();
    }

    public void setPermissionType(String permissionType) {
        this.permissionType = permissionType;
    }

    public String getPermissionUrl() {
        return permissionUrl == null ? "" : permissionUrl.trim();
    }

    public void setPermissionUrl(String permissionUrl) {
        this.permissionUrl = permissionUrl;
    }

    public String getApiTag() {
        return apiTag == null ? "" : apiTag.trim();
    }

    public void setApiTag(String apiTag) {
        this.apiTag = apiTag;
    }

    public String getSystemTag() {
        return systemTag == null ? "" : systemTag.trim();
    }

    public void setSystemTag(String systemTag) {
        this.systemTag = systemTag;
    }

    public Integer getIsPublic() {
        return isPublic;
    }

    public void setIsPublic(Integer isPublic) {
        this.isPublic = isPublic;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"permissionId\":\"")
                .append(permissionId).append('\"');
        sb.append(",\"permissionTitle\":\"")
                .append(permissionTitle).append('\"');
        sb.append(",\"permissionType\":\"")
                .append(permissionType).append('\"');
        sb.append(",\"permissionUrl\":\"")
                .append(permissionUrl).append('\"');
        sb.append(",\"apiTag\":\"")
                .append(apiTag).append('\"');
        sb.append(",\"systemTag\":\"")
                .append(systemTag).append('\"');
        sb.append(",\"isPublic\":")
                .append(isPublic);
        sb.append('}');
        return sb.toString();
    }
}
